astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Data Visualization (`astropy.visualization`) »
- LogStretch

# LogStretch

class `astropy.visualization.``LogStretch`

  Bases: `astropy.visualization.BaseStretch`

  A log stretch.

  The stretch is given by:

  y = \frac{\log{(a x + 1)}}{\log{(a + 1)}}.

  Attributes Summary

  `inverse` |

  Methods Summary

  `__call__`(values[, out, clip]) | Transform values using this stretch.

  Attributes Documentation

  `inverse`

  Methods Documentation

  `__call__`(values, out=None, clip=True)

    Transform values using this stretch.

    Parameters:

    values : `ndarray` or list

    > The input values, which should already be normalized to the [0:1] range.

    out : `ndarray`, optional

    > If specified, the output values will be placed in this array (typically used for in-place calculations).

    clip : bool, optional

    > If `True` (default), values outside the [0:1] range are clipped to the [0:1] range.

    Returns:

    new_values : `ndarray`

    > The transformed values.